Skip to main content
GET
/
maintenance
/
work-orders
/
stream
Stream work orders.
curl --request GET \
  --url https://api.samsara.com/maintenance/work-orders/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assetId": "12443",
      "createdAtTime": "2019-06-13T19:08:25Z",
      "id": "5",
      "status": "OPEN",
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "archivedAtTime": "2019-06-13T19:08:25Z",
      "assignedUserId": "1234",
      "attachments": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "processingStatus": "processing",
          "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
          "urlExpiresAt": "2019-06-13T19:08:25Z"
        }
      ],
      "category": "PREVENTIVE",
      "closingNotes": "Everything was fixed without issues.",
      "completedAtTime": "2019-06-13T19:08:25Z",
      "createdByUserId": "1234",
      "description": "The vehicle is not starting.",
      "discount": {
        "basisPoints": 500,
        "money": {
          "amount": "94.01",
          "currency": "usd"
        }
      },
      "dueAtTime": "2019-06-13T19:08:25Z",
      "engineHours": 91823,
      "invoiceNumber": "123456",
      "items": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "type": "ISSUE"
        }
      ],
      "odometerMeters": 91823,
      "poNumber": "123456",
      "priority": "HIGH",
      "serviceTaskInstances": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "serviceTaskId": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "status": "Unknown",
          "laborHourlyCost": {
            "amount": "94.01",
            "currency": "usd"
          },
          "laborTimeMinutes": 60,
          "parts": [
            {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "partId": "P0077",
              "quantity": 2.5,
              "costCentsOverride": 1000
            }
          ],
          "partsCost": {
            "amount": "94.01",
            "currency": "usd"
          }
        }
      ],
      "tax": {
        "basisPoints": 700,
        "money": {
          "amount": "94.01",
          "currency": "usd"
        }
      },
      "unallocatedLabor": {
        "cost": {
          "amount": "94.01",
          "currency": "usd"
        },
        "timeMinutes": 60
      },
      "vendorUuid": "5523a39f-42ef-4820-83d0-dfe73dbe7853"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

workOrderStatuses
enum<string>[]

Work Order status filter.

Available options:
Assigned,
Cancelled,
Closed,
Completed,
Estimate,
In Progress,
On Hold,
Open,
Pending Approval,
Pending Parts
assetIds
string[]

Work Order asset id filter. Up to 50 ids.

assignedUserIds
string[]

Work Order assigned user id filter. Up to 50 ids.

Response

OK response.

data
object[]
required

Work Orders

pagination
object
required

Pagination parameters.